Bug 949509 - "packstack --allinone" errors during puppet run.
"packstack --allinone" errors during puppet run.
Status: CLOSED DUPLICATE of bug 927298
Product: Fedora
Classification: Fedora
Component: openstack-packstack (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Derek Higgins
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-08 06:22 EDT by Gowrishankar Rajaiyan
Modified: 2013-04-08 06:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 06:31:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
openstack-setup.log (5.51 KB, text/x-log)
2013-04-08 06:22 EDT, Gowrishankar Rajaiyan
no flags Details

  None (edit)
Description Gowrishankar Rajaiyan 2013-04-08 06:22:15 EDT
Created attachment 732636 [details]
openstack-setup.log

Description of problem:


Version-Release number of selected component (if applicable):
packstack-modules-puppet-2013.1.1-0.3.dev527.fc19.noarch
openstack-swift-plugin-swift3-1.7-2.fc19.noarch
openstack-swift-account-1.8.0-2.fc19.noarch
openstack-nova-cells-2013.1-0.11.rc1.fc19.noarch
openstack-nova-common-2013.1-0.11.rc1.fc19.noarch
openstack-swift-1.8.0-2.fc19.noarch
openstack-dashboard-2013.1-2.fc19.noarch
openstack-nova-scheduler-2013.1-0.11.rc1.fc19.noarch
openstack-nova-novncproxy-0.4-5.fc19.noarch
openstack-swift-object-1.8.0-2.fc19.noarch
openstack-nova-objectstore-2013.1-0.11.rc1.fc19.noarch
openstack-nova-compute-2013.1-0.11.rc1.fc19.noarch
openstack-glance-2013.1-0.8.rc1.fc19.noarch
openstack-keystone-2013.1-1.fc19.noarch
python-django-openstack-auth-1.0.7-1.fc19.noarch
openstack-utils-2013.1-5.fc19.1.noarch
openstack-nova-console-2013.1-0.11.rc1.fc19.noarch
openstack-nova-network-2013.1-0.11.rc1.fc19.noarch
openstack-cinder-2013.1-1.fc19.noarch
openstack-swift-doc-1.8.0-2.fc19.noarch
openstack-nova-api-2013.1-0.11.rc1.fc19.noarch
openstack-nova-conductor-2013.1-0.11.rc1.fc19.noarch
openstack-packstack-2013.1.1-0.3.dev527.fc19.noarch
openstack-quantum-2013.1-0.7.rc3.fc19.noarch
openstack-nova-cert-2013.1-0.11.rc1.fc19.noarch
openstack-swift-container-1.8.0-2.fc19.noarch
openstack-nova-2013.1-0.11.rc1.fc19.noarch
openstack-swift-proxy-1.8.0-2.fc19.noarch


How reproducible:


Steps to Reproduce:
1. Execute "packstack --allinone"
  
Actual results:
[root@dhcp193-51 ~]# packstack --allinone
Welcome to Installer setup utility

Installing:
Clean Up...                                              [ DONE ]
Setting up ssh keys...                                   [ DONE ]
Adding pre install manifest entries...                   [ DONE ]
Adding MySQL manifest entries...                         [ DONE ]
Adding QPID manifest entries...                          [ DONE ]
Adding Keystone manifest entries...                      [ DONE ]
Adding Glance Keystone manifest entries...               [ DONE ]
Adding Glance manifest entries...                        [ DONE ]
Adding Cinder Keystone manifest entries...               [ DONE ]
Installing dependencies for Cinder...                    [ DONE ]
Checking if the Cinder server has a cinder-volumes vg... [ DONE ]
Adding Cinder manifest entries...                        [ DONE ]
Adding Nova API manifest entries...                      [ DONE ]
Adding Nova Keystone manifest entries...                 [ DONE ]
Adding Nova Cert manifest entries...                     [ DONE ]
Adding Nova Conductor manifest entries...                [ DONE ]
Adding Nova Compute manifest entries...                  [ DONE ]
Adding Nova Network manifest entries...                  [ DONE ]
Adding Nova Scheduler manifest entries...                [ DONE ]
Adding Nova VNC Proxy manifest entries...                [ DONE ]
Adding Nova Common manifest entries...                   [ DONE ]
Adding OpenStack Client manifest entries...              [ DONE ]
Adding Horizon manifest entries...                       [ DONE ]
Adding Swift Keystone manifest entries...                [ DONE ]
Adding Swift builder manifest entries...                 [ DONE ]
Adding Swift proxy manifest entries...                   [ DONE ]
Adding Swift storage manifest entries...                 [ DONE ]
Adding Swift common manifest entries...                  [ DONE ]
Preparing servers...                                     [ DONE ]
Adding Nagios server manifest entries...                 [ DONE ]
Adding Nagios host manifest entries...                   [ DONE ]
Adding post install manifest entries...                  [ DONE ]
Installing Dependencies...                               [ DONE ]
Copying Puppet modules and manifests...                  [ DONE ]
Applying Puppet manifests...
Applying 10.65.201.146_prescript.pp
                                                                      
ERROR : Error during puppet run : Error: Could not autoload puppet/type/file: constant Puppet::Type::File not defined
Please check log file /var/tmp/packstack/20130408-154345-RzYSww/openstack-setup.log for more information

Additional information:
 * A new answerfile was created in: /root/packstack-answers-20130408-154345.txt
 * Time synchronization installation was skipped. Please note that unsynchronized time on server instances might be problem for some OpenStack components.
 * Did not create a cinder volume group, one already existed
 * To use the command line tools you need to source the file /root/keystonerc_admin created on 10.65.201.146
 * To use the console, browse to http://10.65.201.146/dashboard
 * To use Nagios, browse to http://10.65.201.146/nagios username : nagiosadmin, password : dd58e88bde00420a
[root@dhcp193-51 ~]# 


Expected results:


Additional info:
2013-04-08 15:44:01::ERROR::ospluginutils::143::root:: Error  during remote puppet apply of /var/tmp/packstack/20130408-154345-RzYSww/manifests/10.65.201.146_prescript.pp
2013-04-08 15:44:01::ERROR::ospluginutils::144::root:: ESC[1;31mError: Could not autoload puppet/type/file: constant Puppet::Type::File not definedESC[0m
ESC[1;31mError: Could not create resources for managing Puppet's files and directories in sections [:main, :ssl, :agent]: Could not autoload puppet/type/file: constant Puppet::Type::File not definedESC[0m
ESC[1;31mError: Could not create resources for managing Puppet's files and directories in sections [:main, :ssl, :agent]: Could not autoload puppet/type/file: constant Puppet::Type::File not defined
Could not autoload puppet/type/file: constant Puppet::Type::File not definedESC[0m

2013-04-08 15:44:01::ERROR::run_setup::909::root:: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 889, in main
    single_step_aio_install(options)
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 678, in single_step_aio_install
    single_step_install(options)
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 708, in single_step_install
    _main(answerfilepath)
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 597, in _main
    runSequences()
  File "/usr/lib/python2.7/site-packages/packstack/installer/run_setup.py", line 574, in runSequences
    controller.runAllSequences()
  File "/usr/lib/python2.7/site-packages/packstack/installer/setup_controller.py", line 77, in runAllSequences
    sequence.run()
  File "/usr/lib/python2.7/site-packages/packstack/installer/setup_sequences.py", line 153, in run
    step.run()
  File "/usr/lib/python2.7/site-packages/packstack/installer/setup_sequences.py", line 60, in run
    function()
  File "/usr/lib/python2.7/site-packages/packstack/plugins/puppet_950.py", line 176, in applyPuppetManifest
    waitforpuppet(currently_running)
  File "/usr/lib/python2.7/site-packages/packstack/plugins/puppet_950.py", line 163, in waitforpuppet
    validate_puppet_logfile(log)
  File "/usr/lib/python2.7/site-packages/packstack/modules/ospluginutils.py", line 145, in validate_puppet_logfile
    raise PackStackError(message)
PackStackError: Error during puppet run : Error: Could not autoload puppet/type/file: constant Puppet::Type::File not definedESC[0m
Comment 1 Pádraig Brady 2013-04-08 06:31:32 EDT

*** This bug has been marked as a duplicate of bug 927298 ***

Note You need to log in before you can comment on or make changes to this bug.